Spis treści
Indeks 🔎︎

# Starting LibreOffice Software With Parameters

Programy pakietu LibreOffice można uruchamiać z podaniem różnych parametrów mających wpływ na działanie tych programów. Korzystanie z parametrów wiersza poleceń zaleca się tylko doświadczonym użytkownikom.

W zwykłej pracy korzystanie z parametrów wiersza poleceń nie jest konieczne. Niektóre parametry wymagają dokładnej znajomości aspektów technicznych oprogramowania LibreOffice.

## Uruchamianie programów pakietu LibreOffice z wiersza poleceń

1. Search for Run in the Windows Start menu.

2. Type the following text in the Open text field and click OK.

3. "{install}\program\soffice.com" {parameter}

   Replace {install} with the path to your installation of LibreOffice software (for example, C:\Program Files\LibreOffice). Use soffice.exe instead of soffice.com, when you do not need console (e.g., you do not use command-line interface for headless operations).

1. Open a shell under Linux, *BSD, or macOS platforms.

2. Type the following line of text, then press Return:

   {install}/program/soffice {parameter}

   Replace {install} with the path to your installation of LibreOffice software (for example, /opt/LibreOffice in UNIX)

## Obsługiwane parametry wiersza poleceń

### Używanie bez specjalnych argumentów

Użycie bez argumentów otwiera planszę startową.

{file} | Próbuje otworzyć pliki w odpowiednich dla nich komponentach.
{file} macro://./[Library.Module.MacroName] | Otwiera plik i stosuje określone makra z pliku.

### Uzyskiwanie pomocy i informacji

Parameter | Znaczenie
--- | ---
--help / -h / -? | Wyświetla dostępne parametry linii poleceń do konsoli.
--helpwriter | Otwiera wbudowany lub dostępny online podręcznik pomocy LibreOffice Writer.
--helpcalc | Otwiera wbudowany lub dostępny online podręcznik pomocy LibreOffice Calc.
--helpdraw | Otwiera wbudowany lub dostępny online podręcznik pomocy LibreOffice Draw.
--helpimpress | Otwiera wbudowany lub dostępny online podręcznik pomocy LibreOffice Impress.
--helpbase | Otwiera wbudowany lub dostępny online podręcznik pomocy LibreOffice Base.
--helpbasic | Otwiera wbudowany lub dostępny online podręcznik pomocy języka skryptowego LibreOffice Basic.
--helpmath | Otwiera wbudowany lub dostępny online podręcznik pomocy LibreOffice Math.
--version | Pokazuje wersję LibreOffice i kończy pracę.
--nstemporarydirectory | (macOS sandbox only) Returns path of the temporary directory for the current user and exits. Overrides all other arguments.

### Ogólne argumenty

Parameter | Znaczenie
--- | ---
--quickstart[=no] | Aktywuje [Dezaktywuje] usługę Quickstarter. Może pobierać tylko jeden parametr no, który dezaktywuje usługę Quickstarter. Bez parametrów, usługa jest włączana.
--nolockcheck | Wyłącza sprawdzania obecności zdalnych instancji w trakcie instalacji.
--infilter=InputFilterName [:InputFilterParam[,param]] | Forces an input filter type, if possible. For example: --infilter="Calc Office Open XML" --infilter="Text (encoded):UTF8,LF,Liberation Mono,en-US". See the list of document filters for file conversion. The list of filter options for Lotus, dBase and Diff files. The list of filter options for CSV files.
--pidfile={file} | Zapisz identyfikator PID procesu soffice.bin do {file}.
--display {display} | Sets the DISPLAY environment variable on UNIX-like platforms to the value {display}. This parameter is only supported by the start script for LibreOffice software on UNIX-like platforms.

### Kontrola interfejsu programistycznego/użytkownika

Parameter | Znaczenie
--- | ---
--nologo | Wyłącza wyświetlanie ekranu powitalnego.
--minimized | Uruchamia program w postaci zminimalizowanej. Ekran powitalny nie jest wyświetlany.
--nodefault | Rozpoczęcie bez otwarcia okna.

--invisible

Uruchamia program w trybie niewidocznym.

Ekran powitalny i początkowe okno programu nie są wyświetlane. Oprogramowaniem LibreOffice można sterować przez interfejs API.

Jeśli oprogramowanie LibreOffice zostało uruchomione z tym parametrem, można zakończyć jego pracę tylko z poziomu Menadżera Zadań (Windows) lub z użyciem polecenia kill (w systemach uniksowych).

Tego parametru nie można używać w połączeniu z parametrem -quickstart.

Więcej informacji można znaleźć w podręczniku programisty LibreOffice Developer's Guide.

--headless | Uruchamia aplikację w trybie bez ekranu, umożliwia korzystanie z programu bez pośrednictwa interfejsu użytkownika. Ten specjalny tryb może być wykorzystywany w przypadku, gdy aplikacja jest sterowana z poziomu zewnętrznego klienta przez interfejs API.
--norestore | Wyłącza funkcję ponownego uruchamiania programu i odzyskiwania plików po awarii.
--safe-mode | Uruchamia w trybie awaryjnym tj. uruchamia ze świeżym profilem użytkownika i pomaga przywrócić konfigurację, która uległa uszkodzeniu.
--accept={UNO} | Zawiadamia oprogramowanie LibreOffice, że po utworzeniu wątków "UNO Acceptor Thread" ma zostać zastosowany ciąg "UNO Accept String". UNO-URL jest ciągiem rodzaju uno:connection-type,params;protocol-name,params;ObjectName. Więcej informacji można znaleźć w podręczniku programisty LibreOffice Developer's Guide.
--unaccept={UNO-URL} | Zamyka akceptor utworzony przez polecenie --accept={UNO-URL}. Użycie polecenia --unaccept=all zamknie wszystkie akceptory.
--language={lang} | Używa określonego języka, jeśli język nie został jeszcze wybrany dla interfejsu użytkownika. Lang jest znacznikiem języka nadanym zgodnie z wytycznymi organizacji IETF.

### Argumenty programistów

Parameter | Znaczenie
--- | ---
--terminate_after_init | Wyjdź po zakończeniu inicjalizacji (bez wczytywania dokumentów).
--eventtesting | Wyjdź po załadowaniu dokumentów.

Unix and Linux user can invoke LibreOffice with these additional parameters for debugging purposes.

Parameter | Meaning
--- | ---
--record | An enhanced debugger.
--backtrace | Prints the backtrace of the entire stack.
--strace | strace is a diagnostic, debugging and instructional userspace utility for Linux.
--valgrind | Automatically detect many memory management and threading bugs, and profile the program in detail.

The debug options --record, --backtrace, --strace and --valgrind cannot be used together. Please use them one by one.

### Argumenty tworzenia nowych dokumentów

Argumenty tworzą pusty dokument określonego rodzaju. Tylko jeden z nich może być używany w jednej linii poleceń. Jeśli nazwy plików zostały określone po argumencie, wtedy program próbuje otworzyć te pliki w określonym komponencie.

Parameter | Znaczenie
--- | ---
--writer | Uruchamia program Writer z pustym dokumentem.
--calc | Uruchamia program Calc z pustym dokumentem.
--draw | Uruchamia program Draw z pustym dokumentem.
--impress | Uruchamia program Impress z pustym dokumentem.
--math | Uruchamia program Math z pustym dokumentem.
--global | Uruchamia program z pustym dokumentem głównym.
--web | Uruchamia program z pustym dokumentem HTML.

### Argumenty otwierania pliku

Argumenty definiują, jak traktowane są następujące nazwy plików. Nowa operacja rozpoczyna się po argumencie i kończy się przy następnym argumencie. Domyślnym zachowaniem jest otwarcie dokumentów do edycji i tworzenie nowych dokumentów z ich szablonów.

Parameter | Znaczenie
--- | ---
-n | Traktuje następujące pliki jako szablony, z których powstają nowe dokumenty.
-o | Otwiera następujące pliki do edycji, niezależnie od tego, czy są szablonami czy nie.

--pt {Printername}

Drukuje następujące pliki do drukarce {nazwa_drukarki} i kończy pracę. Ekran powitalny nie jest wyświetlany.

Jeśli nazwa pliku zawiera spacje, musi zostać umieszczona w cudzysłowie.

Jeśli użyto wielokrotnie, to tylko ostatni parametr {Printername} jest brany pod uwagę w przypadku wszystkich dokumentów wszystkich uruchomionych argumentów --pt.

Ponadto argument --printer-name parametru --print-to-file przełącza interfejsy wraz z {Printername}.

-p | Drukuje następujące pliki do domyślnej drukarki, po czym pliki te są zamykane. Ekran powitalny nie pojawia się. Jeśli nazwa pliku zawiera spacje, musi zostać umieszczona w cudzysłowie.
--view | Otwiera następujące pliki w trybie przeglądarki (tylko do odczytu).
--show | Natychmiast otwiera i uruchamia następujące dokumenty prezentacji. Pliki są zamykane po pokazie. Pliki inne niż dokumenty Impress są otwierane w trybie domyślnym, niezależnie od poprzedniego trybu.

--convert-to OutputFileExtension
[:OutputFilterName
[:OutputFilterParams[,param]]]
[--outdir output_dir]

If --convert-to is used more than once, last value of OutputFileExtension[:OutputFilterName[:OutputFilterParams]] is effective. If --outdir is used more than once, only its last value is effective. For example:

--convert-to pdf *.doc

--convert-to pdf:writer_pdf_Export --outdir /home/user *.doc

--convert-to "html:XHTML Writer File:UTF8" *.doc

--convert-to "txt:Text (encoded):UTF8" *.doc

See the list of document filters for file conversion.

The list of filter options for Lotus, dBase and Diff files.

The list of filter options for CSV files.

--print-to-file [--printer-name printer_name] [--outdir output_dir]

Grupuje pliki do wydruku w jeden plik. Jeśli nie podano parametru --outdir, jako folder wyjściowy używany jest bieżący katalog roboczy.

Jeśli --printer-name lub --outdir użyto wielokrotnie, to tylko ostatnia wartość każdego z parametrów jest brana pod uwagę. Ponadto {Printername} parametru --pt przełącza interfejsy wraz z --printer-name. Na przykład:

--print-to-file *.doc

--print-to-file --printer-name nasty_lowres_printer --outdir /home/user *.doc

--cat | Applies filter "txt:Text" to the following text documents and dump text content to console (implies --headless). Cannot be used with --convert-to.
-env:VAR[=VALUE] | Set a bootstrap variable. For example, to set a non-default user profile path: soffice.com -env:UserInstallation=file:///c:/my-test-profile open LibreOffice.app -env:UserInstallation=file:///tmp/test soffice -env:UserInstallation=file:///tmp/test

### Ignorowane przełączniki

Parameter | Znaczenie
--- | ---
-psn | Ignorowany (macOS only)
-Embedding | Ignorowany (powiązany z COM+; tylko Windows)
--nofirststartwizard | Nic nie zmienia, zaakceptowany tylko dla zachowania kompatybilności wstecznej.
--protector {arg1} {arg2} | Używane tylko w testach jednostkowych i powinny mieć dwa argumenty.